Delete Disk
curl --request DELETE \
--url https://api.mkinf.io/v0.1/projects/{projectId}/disks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mkinf.io/v0.1/projects/{projectId}/disks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mkinf.io/v0.1/projects/{projectId}/disks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation": {
"completed_at": "2021-12-03T19:59:34Z",
"metadata": {},
"operation_id": "F6EF489C-086E-458D-B812-7962964A28C9",
"result": {},
"started_at": "2021-12-03T19:58:34Z",
"state": "IN_PROGRESS"
}
}Storage
Delete Disk
Delete a disk
DELETE
/
projects
/
{projectId}
/
disks
/
{id}
Delete Disk
Permanently delete a disk. The disk must be detached from any VMs before deletion.
⌘I